You are here

Can Firefox Portable be in Danish language ?

5 posts / 0 new
Last post
Jørn
Offline
Last seen: 15 years 8 months ago
Joined: 2008-04-22 08:25
Can Firefox Portable be in Danish language ?

Hallo, well I just wonder...
Can Firefox Portable 2.0.0.14 & 3.0.0.5 speak Danish ???

Greetings
Jørn
Denmark

Simeon
Simeon's picture
Offline
Last seen: 9 years 4 months ago
DeveloperTranslator
Joined: 2006-09-25 15:15
Yes

but only via the language switcher extension as outlined here.
Right now, localised packages are only available in English, French, Italian and German. I think the next languages that follow are Spanish and Chinese.

"What about Love?" - "Overrated. Biochemically no different than eating large quantities of chocolate." - Al Pacino in The Devils Advocate

José Pedro Arvela
Offline
Last seen: 5 years 2 months ago
Joined: 2007-07-10 07:29
And...

And 3b5 (not 3.0.0.5 but 3b5) needs some custom system for changing the language:

  1. Download and install language pack for 3b5 in here.
  2. Create a text file called FirefoxPortable.ini on the root of your Portable Firefox install with the following content:
[FirefoxPortable]
FirefoxDirectory=App\firefox
ProfileDirectory=Data\profile
SettingsDirectory=Data\settings
PluginsDirectory=Data\plugins
FirefoxExecutable=firefox.exe
AdditionalParameters=-contentLocale Language Code -UILocale Language Code
LocalHomepage=
DisableSplashScreen=false
AllowMultipleInstances=false
DisableIntelligentStart=false
SkipChromeFix=false
SkipCompregFix=false
RunLocally=false

Don't forget to replace Language Code with the language code you want it to use.

Blue is everything.

blahblah
Offline
Last seen: 15 years 8 months ago
Joined: 2008-03-07 13:43
Danish is possible!

As 'Simeon' said you can change language using the 'Locale Switcher' extension

But it is not true that you can only switch between "English, French, Italian and German".

Here's:
Danish language pack (and others) for FF 2.0.0.14
Danish language pack (and others) for FF 3.0b5
Danish language pack (and others) for Latest FF trunk

In case 'Locale Switcher' extension does not support FF3, then make the following mods to be able to install it anyway (I have it installed with this fix):
1. Type 'about:config' in locationbar
2. Make a new 'boolean' called 'extensions.checkCompatibility' and toggle it to 'false'
3. Make a new 'boolean' called 'extensions.checkUpdateSecurity' and toggle it to 'false'

KickButts
KickButts's picture
Offline
Last seen: 13 years 8 months ago
Joined: 2008-03-13 09:58
blahblahblah...

Simeon didn't say you can only switch between "English, French, Italian and German", but that's the only FFP localized packages available for download, as you can see here.

Alive and kicking!
"If you were a robot, and I knew but you didn't, would you want me to tell you?"

Log in or register to post comments